Bug 977773 - please update to 2.X
please update to 2.X
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: jdom (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mat Booth
Fedora Extras Quality Assurance
: FutureFeature
Depends On: jdom2
Blocks: 977249
  Show dependency treegraph
 
Reported: 2013-06-25 06:05 EDT by Björn "besser82" Esser
Modified: 2013-09-18 13:08 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-18 13:08:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Björn "besser82" Esser 2013-06-25 06:05:25 EDT
Description of problem:
jdom is still v1.1.3 although there's v2.0.5 avail.


Version-Release number of selected component (if applicable):
jdom-1.1.3-4


Additional info (from homepage):
JDOM 2.0.5 is available! This is a recommended upgrade for anyone still using JDOM 1.1.3 or earlier, and using Java5 or later. JDOM 2.0.5 contains a few fixes:

    Fixes Issue 106 - Uses different methods on StAX Stream output to ensure that Namespace URI's are prefixed correctly.
    Fixes Issue 111 - Improve documentation for SAXBuilder.build(String) so that it is more obvious that the String is not actual XML values, but a URI.
    Fixes Issue 112 - Improves performance of SAXBuilder when there are large ( greater than 1KB ) text sections in the input XML.
    Fixes Issue 113 - Compile (and test) against Jaxen 1.1.6
    Fixes Issue 114 - Setting the Line Separator for JDOM would not work from System.properties().
    Fixes Issue 115 - Correctly set the 'xmlns' prefix and URI for Namespace declarations in DOMOutputter.
    Fixes Issue 116 - JDOM 1.x uses an iterator to output XML child content, modify JDOM 2.x to do the same.

JDOM 2.x versions are a significant reworking of the JDOM API to enhance it with Generics, and other Java Language features introduced with Java 5. JDOM 2.x is fully supported for use with Java 6 or Java 7, and is also compatible with Java 5 with a few restrictions.

see: http://www.jdom.org
Comment 1 Krzysztof Daniel 2013-06-25 09:09:50 EDT
Thanks for the report. I'll evaluate (and most probably do) this change for f20.
Comment 2 Mat Booth 2013-08-21 19:13:31 EDT
Hmmm, jdom 2.x is an API breaking upgrade. Here is a list of packages that would potentially have to be patched:

$ repoquery --repoid=rawhide-source --archlist=src --whatrequires jdom
cobertura-0:1.9.4.1-9.fc20.src
colossus-0:0.13.2-5.fc20.src
eclipse-epic-0:0.6.44-5.fc20.src
eclipse-m2e-core-0:1.4.0-1.fc20.src
eclipse-mylyn-0:3.9.0-3.fc20.src
eclipse-wtp-jeetools-0:3.5.0-2.fc20.src
eclipse-wtp-jpa-0:3.5.0-2.fc20.src
freemarker-0:2.3.19-7.fc20.src
gentlyweb-utils-0:1.5-4.fc20.src
gooddata-cl-0:1.2.56-7.fc20.src
jaxen-0:1.1.3-10.fc20.src
jaxen-bootstrap-0:1.1-8.2.fc20.src
jboss-as-0:7.1.1-19.fc20.src
jersey-0:1.17.1-5.fc20.src
jibx-0:1.2.5-2.fc20.src
junit-addons-0:1.4-5.fc20.src
olfs-0:1.9.5-3.fc20.src
plexus-cdc-0:1.0-0.19.a14.fc20.src
rome-0:0.9-14.fc20.src
saxon-0:9.3.0.4-8.fc20.src
sdljava-0:0.9.1-23.fc20.src
velocity-0:1.7-9.fc20.src
werken-xpath-0:0.9.4-12.beta.12.5.fc20.src
xstream-0:1.3.1-8.fc20.src
Comment 3 Mat Booth 2013-08-21 19:17:48 EDT
I can't see this being done for F20 so in the short term, it might be easier to submit a separate "jdom2" package review. This is what we did with "apache-commons-lang" and "apache-commons-lang3" for example.
Comment 4 Mikolaj Izdebski 2013-08-22 03:14:22 EDT
What I think we should do is updating jdom to 2.x and trying to rebuild all dependencies.  Some may work without any change, for some we may apply trivial patches.  If there are any packages that don't work with the new jdom 2.x then we can package jdom1.
Comment 5 Mat Booth 2013-08-22 04:17:41 EDT
Normally I would agree with you Mikolaj, but the package has changed from "org.jdom" to "org.jdom2" so there's no chance it will just work. Any other package that directly references a jdom class will have to be patched.
Comment 6 Mikolaj Izdebski 2013-08-22 04:29:49 EDT
(In reply to Mat Booth from comment #5)
> Normally I would agree with you Mikolaj, but the package has changed from
> "org.jdom" to "org.jdom2" so there's no chance it will just work. Any other
> package that directly references a jdom class will have to be patched.

Knowing more details, now I agree.  It makes more sense to package jdom2 and keep jdom at 1.x.
Comment 7 Mat Booth 2013-09-18 13:08:06 EDT
jdom2 has been built for rawhide:

https://koji.fedoraproject.org/koji/buildinfo?buildID=464591

And is in updates-testing for f20:

https://koji.fedoraproject.org/koji/buildinfo?buildID=464592

Note You need to log in before you can comment on or make changes to this bug.